//this sketch will capture the HEX and decimal value of the remote control buttons on the serial monitor

#include <IRremote.h>                                 //load the IRremote library

int RECV_PIN = 2;                                     //Set the IRreceiver on pin 2 on the Arduino
IRrecv irrecv(RECV_PIN);                              //Create an instance for irrecv
decode_results results;                               //Create an instance to store the collected data in


void setup() 
  {

        Serial.begin(9600);                           //start the serial monitor
        Serial.println ("Press any button");          //print the line between the quotes
        irrecv.enableIRIn();                          //start the reciever
  }

void loop() 
  {
        if (irrecv.decode(&results))                  //this line checks if we received a signal from the IR receiver
          {
            Serial.println(results.value, HEX);       //Print the value captured in HEX
            Serial.println(results.value);            //Print the results in decimal
            irrecv.resume();                          //receive the next value
          }
  }
